Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextOption.TabType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextOption.TabType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextOption

    public static final class QTextOption.TabType

extends java.lang.Enum
implements QtEnumerator

This enum holds the different types of tabulator

See Also:
  Serialized Form

Field Summary
`static QTextOption.TabType` | `CenterTab` , A centered-tab
`static QTextOption.TabType` | `DelimiterTab` A tab stopping at a certain delimiter-character
`static QTextOption.TabType` | `LeftTab` , A left-tab
`static QTextOption.TabType` | `RightTab` , A right-tab

Method Summary
`static QTextOption.TabType` | `resolve(int value)` Returns the QTextOption$TabType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextOption.TabType` | `valueOf(java.lang.String name)`
`static QTextOption.TabType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LeftTab

    public static final QTextOption.TabType LeftTab

  , A left-tab

### RightTab

    public static final QTextOption.TabType RightTab

  , A right-tab

### CenterTab

    public static final QTextOption.TabType CenterTab

  , A centered-tab

### DelimiterTab

    public static final QTextOption.TabType DelimiterTab

  A tab stopping at a certain delimiter-character

Method Detail

### values

    public static QTextOption.TabType[] values()

### valueOf

    public static QTextOption.TabType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextOption.TabType resolve(int value)

  Returns the QTextOption$TabType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD